{
  lib,
  stdenv,
  fetchFromGitHub,
  cmake,
  qt6,
}:

stdenv.mkDerivation rec {
  pname = "cutelee";
  version = "6.1.0";

  src = fetchFromGitHub {
    owner = "cutelyst";
    repo = "cutelee";
    rev = "v${version}";
    hash = "sha256-hoq9DDfRTS8T5uxTeVUdl5ipsimu7x4k0DQirPbWeeM=";
  };

  dontWrapQtApps = true;
  nativeBuildInputs = [
    cmake
  ];
  buildInputs = [
    qt6.qtbase
    qt6.qttools
  ];

  meta = {
    description = "A Qt Template Engine based on Django templates";
    homepage = "https://github.com/cutelyst/cutelee";
    changelog = "https://github.com/cutelyst/cutelee/blob/${src.rev}/CHANGELOG";
    license = lib.licenses.lgpl21Only;
    maintainers = with lib.maintainers; [ ];
    mainProgram = "cutelee";
    platforms = lib.platforms.all;
  };
}
