{
  lib,
  stdenv,
  fetchFromGitHub,
  cmake,
  qt6,

  # optionnal
  cutelee,

  withCutelee ? true,
}:

stdenv.mkDerivation rec {
  pname = "cutelyst";
  version = "4.6.0";

  src = fetchFromGitHub {
    owner = "cutelyst";
    repo = "cutelyst";
    rev = "v${version}";
    hash = "sha256-3OtCuCtoIEerTytDLBc5FjYhLOYci6vCB0E22wiwovQ=";
    fetchSubmodules = true;
  };

  patches = [
    ./0001-fix-build-under-nix.patch
  ];

  nativeBuildInputs = [
    qt6.wrapQtAppsNoGuiHook
    cmake
  ];
  buildInputs = [
    qt6.qtbase
    qt6.qttools
  ] ++ lib.optional withCutelee cutelee;

  cmakeFlags = lib.optional withCutelee "-DPLUGIN_VIEW_CUTELEE=ON";

  meta = {
    description = "A C++ Web Framework built on top of Qt, using the simple approach of Catalyst (Perl) framework";
    homepage = "https://github.com/cutelyst/cutelyst";
    changelog = "https://github.com/cutelyst/cutelyst/blob/${src.rev}/NEWS";
    license = lib.licenses.bsd3;
    maintainers = with lib.maintainers; [ ];
    mainProgram = "cutelyst";
    platforms = lib.platforms.all;
  };
}
