{
  lib,
  stdenv,
  fetchFromGitHub,
  cmake,
  qt6,
  cutelyst,
  cutelee,
  libvirt,
  pkg-config,
}:

stdenv.mkDerivation {
  pname = "virtlyst";
  version = ">1.2.0";

  src = fetchFromGitHub {
    owner = "cutelyst";
    repo = "Virtlyst";
    rev = "603feb8f517e699e6f3366a18120fef1edd4c71b";
    hash = "sha256-04t9dVPd1TkFqOpatD3YMfXj+mOfJ8E5yLsf56DQsh8=";
  };

  dontWrapQtApps = true;
  nativeBuildInputs = [
    cmake
    pkg-config
  ];
  buildInputs = [
    qt6.qtbase
    cutelyst
    cutelee
    libvirt
  ];

  installPhase = ''
    mkdir -p $out/lib $out/share
    cp src/libVirtlyst.so $out/lib
    cp -r ../root $out/share
  '';

  meta = {
    description = "Web interface to manage virtual machines with libvirt";
    homepage = "https://github.com/cutelyst/Virtlyst.git";
    license = lib.licenses.agpl3Only;
    maintainers = with lib.maintainers; [ ];
    mainProgram = "virtlyst";
    platforms = lib.platforms.all;
  };
}
